⏱️ Timestamp Converter
🏁
HOME
🛠️
Unix Timestamp Tools
Batch Unix to Date Converter
Batch Date to Unix Converter
Timestamp Difference Calculator
Date Difference Calculator
Countdown Timer
Seconds Converter
Random Unix Timestamp Generator
Random DateTime Generator
How to Get Current Unix Timestamp
How to Get Current DateTime
🧰
Other Tools
Historical Events List
On This Day In History
Year 2038 Countdown
Past Unix Timestamps (Relative)
Future Unix Timestamps (Relative)
Seconds Duration Facts
UTC Timezone Conversion Table
How to convert Local Time to UTC
How to convert UTC to Local Time
💻
Unix Conversion Code
Java
Unix Timestamp to DateTime
DateTime to Unix Timestamp
JavaScript
Unix Timestamp to DateTime
DateTime to Unix Timestamp
MySQL
Unix Timestamp to DateTime
DateTime to Unix Timestamp
PHP
Unix Timestamp to DateTime
DateTime to Unix Timestamp
Python
Unix Timestamp to DateTime
DateTime to Unix Timestamp
R
Unix Timestamp to DateTime
DateTime to Unix Timestamp
SAS
Unix Timestamp to DateTime
DateTime to Unix Timestamp
T-SQL
Unix Timestamp to DateTime
DateTime to Unix Timestamp
TypeScript
Unix Timestamp to DateTime
DateTime to Unix Timestamp
Ada
Unix Timestamp to DateTime
DateTime to Unix Timestamp
AutoHotkey
Unix Timestamp to DateTime
DateTime to Unix Timestamp
Ballerina
Unix Timestamp to DateTime
DateTime to Unix Timestamp
Bash
Unix Timestamp to DateTime
DateTime to Unix Timestamp
Cobol
Unix Timestamp to DateTime
DateTime to Unix Timestamp
ColdFusion
Unix Timestamp to DateTime
DateTime to Unix Timestamp
Common Lisp
Unix Timestamp to DateTime
DateTime to Unix Timestamp
C++
Unix Timestamp to DateTime
DateTime to Unix Timestamp
CQL
Unix Timestamp to DateTime
DateTime to Unix Timestamp
Crystal
Unix Timestamp to DateTime
DateTime to Unix Timestamp
C#
Unix Timestamp to DateTime
DateTime to Unix Timestamp
Dart
Unix Timestamp to DateTime
DateTime to Unix Timestamp
DAX
Unix Timestamp to DateTime
DateTime to Unix Timestamp
Elixir
Unix Timestamp to DateTime
DateTime to Unix Timestamp
Erlang
Unix Timestamp to DateTime
DateTime to Unix Timestamp
Forth
Unix Timestamp to DateTime
DateTime to Unix Timestamp
Fortran
Unix Timestamp to DateTime
DateTime to Unix Timestamp
F#
Unix Timestamp to DateTime
DateTime to Unix Timestamp
Gleam
Unix Timestamp to DateTime
DateTime to Unix Timestamp
Go
Unix Timestamp to DateTime
DateTime to Unix Timestamp
Groovy
Unix Timestamp to DateTime
DateTime to Unix Timestamp
Haskell
Unix Timestamp to DateTime
DateTime to Unix Timestamp
Haxe
Unix Timestamp to DateTime
DateTime to Unix Timestamp
Io
Unix Timestamp to DateTime
DateTime to Unix Timestamp
Julia
Unix Timestamp to DateTime
DateTime to Unix Timestamp
Kotlin
Unix Timestamp to DateTime
DateTime to Unix Timestamp
Laravel
Unix Timestamp to DateTime
DateTime to Unix Timestamp
Lua
Unix Timestamp to DateTime
DateTime to Unix Timestamp
Matlab
Unix Timestamp to DateTime
DateTime to Unix Timestamp
Nim
Unix Timestamp to DateTime
DateTime to Unix Timestamp
Objective-C
Unix Timestamp to DateTime
DateTime to Unix Timestamp
OCaml
Unix Timestamp to DateTime
DateTime to Unix Timestamp
Pascal
Unix Timestamp to DateTime
DateTime to Unix Timestamp
Perl
Unix Timestamp to DateTime
DateTime to Unix Timestamp
PL/SQL
Unix Timestamp to DateTime
DateTime to Unix Timestamp
PostgreSQL
Unix Timestamp to DateTime
DateTime to Unix Timestamp
PowerShell
Unix Timestamp to DateTime
DateTime to Unix Timestamp
Prolog
Unix Timestamp to DateTime
DateTime to Unix Timestamp
QML
Unix Timestamp to DateTime
DateTime to Unix Timestamp
Racket
Unix Timestamp to DateTime
DateTime to Unix Timestamp
React
Unix Timestamp to DateTime
DateTime to Unix Timestamp
Ruby
Unix Timestamp to DateTime
DateTime to Unix Timestamp
Rust
Unix Timestamp to DateTime
DateTime to Unix Timestamp
Scala
Unix Timestamp to DateTime
DateTime to Unix Timestamp
Scheme
Unix Timestamp to DateTime
DateTime to Unix Timestamp
SML
Unix Timestamp to DateTime
DateTime to Unix Timestamp
SQLite
Unix Timestamp to DateTime
DateTime to Unix Timestamp
Swift
Unix Timestamp to DateTime
DateTime to Unix Timestamp
TCL
Unix Timestamp to DateTime
DateTime to Unix Timestamp
V
Unix Timestamp to DateTime
DateTime to Unix Timestamp
Vala
Unix Timestamp to DateTime
DateTime to Unix Timestamp
VBScript
Unix Timestamp to DateTime
DateTime to Unix Timestamp
Xojo
Unix Timestamp to DateTime
DateTime to Unix Timestamp
Zig
Unix Timestamp to DateTime
DateTime to Unix Timestamp
📧
Contact
📖
About
🔒
Privacy
Current Unix Timestamp
SECONDS SINCE JAN 01 1970
Click to copy
Current UTC Time
2026-11-02
Unix Timestamp to Datetime
Convert
Convert
Unix Format
Seconds
Human
2026-11-02 19:27:13
UTC
2026-11-02T19:27:13Z
Your Timezone
Relative
Datetime to Unix Timestamp
Convert
Convert
Unix
1793647633
Milliseconds
1793647633000
Microseconds
1793647633000000
Nanoseconds
1793647633000000000
UTC
2026-11-02T19:27:13Z
Relative
Additional Date Formats
ISO 8601
2026-11-02T19:27:13.862773Z
RFC 1123
Mon, 02 Nov 2026 19:27:13 UTC
MYSQL
2026-11-02 19:27:13
RFC 3339
2026-11-02T19:27:13.862773+00:00Z
ANSI C
Mon Nov 2 19:27:13 2026
RFC 7231
Mon, 02 Nov 2026 19:27:13 UTC
RFC 2822
Mon, 02 Nov 2026 19:27:13 UTC
RFC 850
Monday, 02-Nov-26 19:27:13 UTC
Cookie
Mon, 02-Nov-2026 19:27:13 UTC
RFC 1036
Mon, 02 Nov 26 19:27:13 +0000
RFC 822
Mon, 02 Nov 2026 19:27:13 UTC
RSS
Mon, 02 Nov 2026 19:27:13 UTC
What is a Unix timestamp?
The Unix timestamp (sometimes also known as Epoch Time or POSIX Time) is a system for tracking time in computing. It represents the number of seconds that have passed since January 1, 1970 (00:00:00 UTC), known as the Unix epoch.
Unlike traditional date and time formats, the Unix timestamp is a single integer value, making it easy for computers to store, compare, and process dates across different systems.
Key Characteristics of Unix Time:
Linear & Continuous:
It counts time in a straight sequence of seconds.
Time Zone Independent:
Always based on UTC (Coordinated Universal Time).
Ignores Leap Seconds:
Every day is treated as exactly 86,400 seconds long.
Widely Used in Computing:
Found in databases, logs, APIs, and programming languages for timestamping events.
For example:
Unix time for January 1, 1970, at midnight UTC =
0
Unix time for January 1, 1971, at midnight UTC =
31536000
Unix time for January 1, 2025, at midnight UTC =
1735689600
1 Hour
3600 Seconds
1 Day
86400 Seconds
1 Week
604800 Seconds
1 Month (30 days)
2592000 Seconds
1 Year (365 days)
31536000 Seconds
Note
- Leap seconds are ignored, with a leap second having the same Unix time as the second before it, and every day is treated as if it contains exactly 86400 seconds. Due to this fact Unix time is not a true representation of UTC.
Convert timestamps in your language
Unix timestamp to date
Python
JavaScript
Java
PHP
C#
C++
TypeScript
Go
Rust
Ruby
Kotlin
Swift
MySQL
PostgreSQL
T-SQL
SQLite
Bash
PowerShell
Date to Unix timestamp
Python
JavaScript
Java
PHP
C#
C++
TypeScript
Go
Rust
Ruby
Kotlin
Swift
MySQL
PostgreSQL
T-SQL
SQLite
Bash
PowerShell
More timestamp tools
Batch date to Unix timestamp converter
Batch Unix timestamp to date converter
Timestamp difference calculator
Date difference calculator
Random Unix timestamp generator
Past Unix timestamps relative to now
Future Unix timestamps relative to now
Countdown to the 2038 problem
On this day in history, with Unix timestamps
Historical events with Unix timestamps
How to get the current Unix timestamp
How to convert local time to UTC
See guides for all 64 programming languages →
Current Unix Timestamp
SECONDS SINCE JAN 01 1970
Click to copy
Current UTC Time
2026-11-02
Ad Banner Placeholder
Ad Banner Placeholder
Ad Banner Placeholder
Ad Banner Placeholder